"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SyntaxKind = exports.DiagnosticCategory = void 0;
var DiagnosticCategory;
(function (DiagnosticCategory) {
    DiagnosticCategory[DiagnosticCategory["Error"] = 1] = "Error";
    DiagnosticCategory[DiagnosticCategory["Warning"] = 2] = "Warning";
    DiagnosticCategory[DiagnosticCategory["Message"] = 3] = "Message";
    DiagnosticCategory[DiagnosticCategory["Suggestion"] = 4] = "Suggestion";
})(DiagnosticCategory = exports.DiagnosticCategory || (exports.DiagnosticCategory = {}));
var SyntaxKind;
(function (SyntaxKind) {
    SyntaxKind[SyntaxKind["Unknown"] = 0] = "Unknown";
    SyntaxKind[SyntaxKind["EndOfFileToken"] = 1] = "EndOfFileToken";
    SyntaxKind[SyntaxKind["NewLineTrivia"] = 2] = "NewLineTrivia";
    SyntaxKind[SyntaxKind["WhitespaceTrivia"] = 3] = "WhitespaceTrivia";
    SyntaxKind[SyntaxKind["HashCommentTrivia"] = 4] = "HashCommentTrivia";
    SyntaxKind[SyntaxKind["SingleLineCommentTrivia"] = 5] = "SingleLineCommentTrivia";
    SyntaxKind[SyntaxKind["MultiLineCommentTrivia"] = 6] = "MultiLineCommentTrivia";
    SyntaxKind[SyntaxKind["CommaToken"] = 7] = "CommaToken";
    SyntaxKind[SyntaxKind["SemicolonToken"] = 8] = "SemicolonToken";
    SyntaxKind[SyntaxKind["PlusToken"] = 9] = "PlusToken";
    SyntaxKind[SyntaxKind["OpenBraceToken"] = 10] = "OpenBraceToken";
    SyntaxKind[SyntaxKind["CloseBraceToken"] = 11] = "CloseBraceToken";
    SyntaxKind[SyntaxKind["OpenBracketToken"] = 12] = "OpenBracketToken";
    SyntaxKind[SyntaxKind["CloseBracketToken"] = 13] = "CloseBracketToken";
    SyntaxKind[SyntaxKind["ColonToken"] = 14] = "ColonToken";
    SyntaxKind[SyntaxKind["EqualsToken"] = 15] = "EqualsToken";
    SyntaxKind[SyntaxKind["LessThan"] = 16] = "LessThan";
    SyntaxKind[SyntaxKind["GreaterThan"] = 17] = "GreaterThan";
    SyntaxKind[SyntaxKind["CompassNorthToken"] = 18] = "CompassNorthToken";
    SyntaxKind[SyntaxKind["CompassNorthEastToken"] = 19] = "CompassNorthEastToken";
    SyntaxKind[SyntaxKind["CompassEastToken"] = 20] = "CompassEastToken";
    SyntaxKind[SyntaxKind["CompassSouthEastToken"] = 21] = "CompassSouthEastToken";
    SyntaxKind[SyntaxKind["CompassSouthToken"] = 22] = "CompassSouthToken";
    SyntaxKind[SyntaxKind["CompassSouthWestToken"] = 23] = "CompassSouthWestToken";
    SyntaxKind[SyntaxKind["CompassWestToken"] = 24] = "CompassWestToken";
    SyntaxKind[SyntaxKind["CompassNorthWestToken"] = 25] = "CompassNorthWestToken";
    SyntaxKind[SyntaxKind["CompassCenterToken"] = 26] = "CompassCenterToken";
    SyntaxKind[SyntaxKind["UnderscoreToken"] = 27] = "UnderscoreToken";
    SyntaxKind[SyntaxKind["StringLiteral"] = 28] = "StringLiteral";
    SyntaxKind[SyntaxKind["HtmlIdentifier"] = 29] = "HtmlIdentifier";
    SyntaxKind[SyntaxKind["TextIdentifier"] = 30] = "TextIdentifier";
    SyntaxKind[SyntaxKind["QuotedTextIdentifier"] = 31] = "QuotedTextIdentifier";
    SyntaxKind[SyntaxKind["NumericIdentifier"] = 32] = "NumericIdentifier";
    SyntaxKind[SyntaxKind["GraphKeyword"] = 33] = "GraphKeyword";
    SyntaxKind[SyntaxKind["DigraphKeyword"] = 34] = "DigraphKeyword";
    SyntaxKind[SyntaxKind["NodeKeyword"] = 35] = "NodeKeyword";
    SyntaxKind[SyntaxKind["EdgeKeyword"] = 36] = "EdgeKeyword";
    SyntaxKind[SyntaxKind["SubgraphKeyword"] = 37] = "SubgraphKeyword";
    SyntaxKind[SyntaxKind["StrictKeyword"] = 38] = "StrictKeyword";
    SyntaxKind[SyntaxKind["DirectedEdgeOp"] = 39] = "DirectedEdgeOp";
    SyntaxKind[SyntaxKind["UndirectedEdgeOp"] = 40] = "UndirectedEdgeOp";
    SyntaxKind[SyntaxKind["DirectedGraph"] = 41] = "DirectedGraph";
    SyntaxKind[SyntaxKind["UndirectedGraph"] = 42] = "UndirectedGraph";
    SyntaxKind[SyntaxKind["NodeStatement"] = 43] = "NodeStatement";
    SyntaxKind[SyntaxKind["EdgeStatement"] = 44] = "EdgeStatement";
    SyntaxKind[SyntaxKind["AttributeStatement"] = 45] = "AttributeStatement";
    SyntaxKind[SyntaxKind["IdEqualsIdStatement"] = 46] = "IdEqualsIdStatement";
    SyntaxKind[SyntaxKind["SubGraph"] = 47] = "SubGraph";
    SyntaxKind[SyntaxKind["SubGraphStatement"] = 48] = "SubGraphStatement";
    SyntaxKind[SyntaxKind["EdgeRhs"] = 49] = "EdgeRhs";
    SyntaxKind[SyntaxKind["AttributeContainer"] = 50] = "AttributeContainer";
    SyntaxKind[SyntaxKind["Assignment"] = 51] = "Assignment";
    SyntaxKind[SyntaxKind["NormalPortDeclaration"] = 52] = "NormalPortDeclaration";
    SyntaxKind[SyntaxKind["CompassPortDeclaration"] = 53] = "CompassPortDeclaration";
    SyntaxKind[SyntaxKind["NodeId"] = 54] = "NodeId";
    SyntaxKind[SyntaxKind["Count"] = 55] = "Count";
    SyntaxKind[SyntaxKind["FirstNode"] = 41] = "FirstNode";
    SyntaxKind[SyntaxKind["CompassBegin"] = 18] = "CompassBegin";
    SyntaxKind[SyntaxKind["CompassEnd"] = 27] = "CompassEnd";
    SyntaxKind[SyntaxKind["LastKeyword"] = 38] = "LastKeyword";
})(SyntaxKind = exports.SyntaxKind || (exports.SyntaxKind = {}));
//# sourceMappingURL=types.js.map